import 'package:cherry_flutter/cherry_flutter.dart';
import 'package:example/widgets/widgets.dart';
import 'package:flutter/material.dart';
import 'package:flutter/services.dart';

class AppBarDemo extends StatelessWidget {
  const AppBarDemo({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.white,
      appBar: CHFAppBar(systemOverlayStyle: SystemUiOverlayStyle.dark),
      body: SingleChildScrollView(
        padding: EdgeInsets.symmetric(horizontal: 20),
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.start,
          children: [
            CommonTitle(title: '默认'),
            Container(
              margin: EdgeInsets.only(bottom: 20),
              height: kToolbarHeight,
              child: CHFAppBar(
                backgroundColor: Colors.orange,
                title: 'appbar',
              ),
            ),
            Container(
              margin: EdgeInsets.only(bottom: 20),
              height: kToolbarHeight,
              child: CHFAppBar(
                backgroundColor: Colors.orange,
                customTitle: Icon(Icons.wallet_giftcard),
              ),
            ),
            Container(
              margin: EdgeInsets.only(bottom: 20),
              height: kToolbarHeight,
              child: CHFAppBar(
                leading: Container(),
                backgroundColor: Colors.orange,
                title: 'appbar',
              ),
            ),
            Container(
              margin: EdgeInsets.only(bottom: 20),
              height: kToolbarHeight,
              child: CHFAppBar(
                backgroundColor: Colors.orange,
                title: 'appbar',
                actions: [Container(
                  alignment: Alignment.center,
                    margin: EdgeInsets.only(right: 15),
                    child: Text('action'))],
              ),
            ),
          ],
        ),
      ),
    );
  }

}
